## org.apache.myfaces.custom.inputTextHelp
Class HtmlInputTextHelpTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlInputTagBase
                      org.apache.myfaces.taglib.html.HtmlInputTextTagBase
                          org.apache.myfaces.taglib.html.ext.HtmlInputTextTag
                              org.apache.myfaces.custom.inputTextHelp.HtmlInputTextHelpTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlInputTextHelpTag
extends HtmlInputTextTag

Version:
  Date: 09.06.2005, 22:16:41
Author:
  Thomas Obereder

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlInputTextHelpTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setHelpText(java.lang.String helpText)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setSelectText(java.lang.String selectText)`

Methods inherited from class org.apache.myfaces.taglib.html.ext.HtmlInputTextTag
`setDatafld, setDataformatas, setDatasrc, setDisplayValueOnly, setDisplayValueOnlyStyle, setDisplayValueOnlyStyleClass, setEnabledOnUserRole, setVisibleOnUserRole`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlInputTextTagBase
`setAccesskey, setAlign, setAlt, setDisabled, setMaxlength, setOnblur, setOnchange, setOnfocus, setOnselect, setReadonly, setSize, setTabindex`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlInputTagBase
`setImmediate, setRequired, setValidator, setValueChangeListener`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlInputTextHelpTag

    public HtmlInputTextHelpTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

  Overrides:
    `getComponentType` in class `HtmlInputTextTag`

### getRendererType

    public java.lang.String getRendererType()

  Overrides:
    `getRendererType` in class `HtmlInputTextTag`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlInputTextTag`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlInputTextTag`

### setHelpText

    public void setHelpText(java.lang.String helpText)

### setSelectText

    public void setSelectText(java.lang.String selectText)